|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QRadialGradient Class Reference
[QtGui module]

The QRadialGradient class is used in combination with QBrush to specify a radial gradient brush. More...

    #include <QRadialGradient>

Inherits QGradient.

- List of all members, including inherited members

### Public Functions

- QRadialGradient ( const QPointF & center, qreal radius, const QPointF & focalPoint = QPointF() )
- QRadialGradient ( qreal cx, qreal cy, qreal radius, qreal fx = 0, qreal fy = 0 )
- QPointF center () const
- QPointF focalPoint () const
- qreal radius () const

- 6 public functions inherited from QGradient

## Detailed Description

The QRadialGradient class is used in combination with QBrush to specify a radial gradient brush.

See also QBrush.

## Member Function Documentation

### QRadialGradient::QRadialGradient ( const QPointF & center, qreal radius, const QPointF & focalPoint = QPointF() )

Constructs a radial gradient centered at center with radius radius. The focalPoint can be used to define the focal point of the gradient inside the circle.

The default focalPoint is the circle center.

### QRadialGradient::QRadialGradient ( qreal cx, qreal cy, qreal radius, qreal fx = 0, qreal fy = 0 )

Constructs a radial gradient centered at cx, cy with radius radius. The focal point fx, fy can be used to define the focal point of the gradient inside the circle.

The default focalPoint is the circle center.

### QPointF QRadialGradient::center () const

Returns the center of this radial gradient in logical coordinates.

### QPointF QRadialGradient::focalPoint () const

Returns the focal point of this radial gradient in logical coordinates.

### qreal QRadialGradient::radius () const

Returns the radius of the radial gradient in logical coordinates.